module.exports = (api, { componentName }) => {

  api.extendPackage({
    name: componentName,
    main: `dist/${componentName}.umd.js`,
    module: `dist/${componentName}.common.js`,
    files: [
      "dist/*.css",
      "dist/*.map",
      "dist/*.js",
    ],
    scripts: {
      serve: "vue-cli-service serve ./example/main.js --open",
      build: `vue-cli-service build --target lib --name ${componentName} --entry ./src/index.js`,
    },
    private: false,
    keywords: [
      "vue",
      "component"
    ]
  })

  api.render('./template')

  api.postProcessFiles(files => {
    const hasTest = api.hasPlugin('unit-mocha') || api.hasPlugin('unit-jest')
    const immutableFiles = ['src/components/HelloWorld.vue', 'src/index.js']
    
    if (hasTest) {
      const testFileName = 'test/unit/HelloWorld.spec.js'
      const testFileContent = files[testFileName]
      const pattern = /HelloWorld/g
      files[testFileName] = testFileContent.replace(pattern, componentName)
    }

    const renameFiles = require('./renameFiles')
    renameFiles(files, /^src\//, 'example/', (file) => immutableFiles.indexOf(file) !== -1)
    renameFiles(files, /\/HelloWorld\./, `/${componentName}.`)
  })
}
