function rename(files, oldName, newName) {
    files[newName] = files[oldName];
    delete files[oldName];
}

module.exports = (files, regex, replace, filter = ((file) => false)) => {
    for (const file in files) {
        if (!regex.test(file) || filter(file)) {
            continue;
        }
        const migratedFile = file.replace(regex, replace);
        rename(files, file, migratedFile)
    }
}